package Timtosh::Utils;

use strict;
use vars qw(@ISA @EXPORT @EXPORT_OK);

require Exporter;
use Timtosh::Parser;

@ISA = qw(Exporter);
@EXPORT = qw();
@EXPORT_OK = qw(escape);

sub escape {
  my @results;

  foreach (@_) {
    my @escape;

    $escape[0] = $_;
    $escape[0] =~ s/([\s\"\'])/\\$1/g;

    $escape[1] = $_;
    $escape[1] =~ s/\"/\\\"/g;
    $escape[1] = "\"$escape[1]\"";

    $escape[2] = $_;
    $escape[2] =~ s/\'/\\\'/g;
    $escape[2] = "'$escape[2]'";

    my $shortest = shift @escape;
    foreach (@escape) {
      if (length($_) < length($shortest)) {
	$shortest = $_;
      }
    }

    push @results, $shortest;
  }

  return @results;
}

1;
